@{ 
    string Prefix = "Archivos"; 
    string UrlClick = Url.Action("Edit", "Archivos"); 
    string UrlNew = Url.Action("New", "Archivos"); 

    var DataGridConfig = new DataGridConfiguration<Archivos>(Prefix) 
        //.OnClick(UrlClick, new { Id = "Id" }) 
        //.New(UrlNew,DApp.ActionViewSecurity(Context,UrlNew)) 
        .Exports(true,true) 
        .ToolbarTop(DApp.DefaultLanguage.GetResource("Archivos"), "mainPanel"); 
} 

<script>

    function @(Prefix)EliminarArchivo(id)
    {
        showLoadIndicator();
        $.ajax({
            url: '@Url.Action("EliminarArchivo", "Archivos")',
            data: { id: id},
            type: 'POST',
            success: function (data) {
                hideLoadIndicator();
                $("#ArchivosDataGrid").dxDataGrid("instance").refresh();
                DevExpress.ui.notify("Archivo eliminado satisfactoriamente.", "info");
            },
            error: function (xhr) {
                hideLoadIndicator();
                DevExpress.ui.notify("Error: " + xhr.status + " | " + xhr.statusText, "error", 10000);
            }
        });
    }

</script>

<div class="box-body table-responsive no-padding"> 
@(Html.DControls().DataGridSimple<Archivos>(DataGridConfig) 
    .ID("ArchivosDataGrid") 
    .DataSource(d => d.Mvc().LoadMethod("POST").Controller("Archivos").LoadAction("Get").Key("Id")) 
    .Columns(columns => 
    { 
        columns.AddFor(m => m.Id); 
        columns.AddFor(m => m.Periodo.Descripcion); 
        columns.AddFor(m => m.Nombre);
        columns.AddFor(m => m.PesoResumen);
        columns.AddFor(m => m.Descripcion); 
        columns.AddFor(m => m.CreationDate); 
        columns.Add().Width("50").Caption("").Alignment(HorizontalAlignment.Center).CellTemplate(
        @<text>
        <a href="/Archivos/DescargarArchivo/<%- data.Id %>" target="_blank"><i class="fa fa-cloud-download" aria-hidden="true"></i></a>
        </text>);
        columns.Add().Width("50").Caption("").Alignment(HorizontalAlignment.Center).CellTemplate(
        @<text>
        <a href="javascript:void(0);" onclick="@(Prefix)EliminarArchivo(<%- data.Id %>)"><i class="fa fa-trash" aria-hidden="true"></i></a>
        </text>);
    }) 
) 
</div> 
